local sti = require "lib.sti"
require "player"

function love.load()
    
    map = sti.new("assets/maps/map01")
    collision = map:getCollisionMap("solidlayer")
    collision.data[player.act_y], [player.act_x]
    --player = { act_x = 24, act_y = 36 }

end


function love.update(dt)
	map:update(dt)
    player.update(dt)
end



function love.draw()
    map:draw()
    player.draw()
    
end

function love.keypressed(key, isrepeat)
    if key == "up" then
        if collision.data[player.act_y - 1][player.act_x] ~= 1 then
            -- the block above us is not collidable, so we can walk there!
            player.act_y = player.act_y - 1
        end

        return
    end
    if key == "down" then
        if collision.data[player.act_y + 1][player.act_x] ~= 1 then
            -- the block below us is not collidable, so we can walk there!
            player.act_y = player.act_y + 1
        end

        return
    end

    if key == "left" then
        if collision.data[player.act_y][player.act_x - 1] ~= 1 then
            -- the block to the left of us is not collidable, so we can walk there!
            player.act_x = player.act_x - 1
        end

        return
    end

    if key == "right" then
        if collision.data[player.act_y][player.act_x + 1] ~= 1 then
            -- the block to the right of us is not collidable, so we can walk there!
            player.act_x = player.act_x + 1
        end

        return
    end
end