local sti = require "sti"

function love.load()
    map = sti.new("map")
    collision = map:getCollisionMap("Collision Layer")
    player = { x = 24, y = 36 } -- player is standing on the 24,36 block of the map
end

function love.keypressed(key, isrepeat)
    if key == "up" then
        if collision.data[player.y - 1][player.x] ~= 1 then
            -- the block above us is not collidable, so we can walk there!
            player.y = player.y - 1
        end

        return
    end

    if key == "down" then
        if collision.data[player.y + 1][player.x] ~= 1 then
            -- the block below us is not collidable, so we can walk there!
            player.y = player.y + 1
        end

        return
    end

    if key == "left" then
        if collision.data[player.y][player.x - 1] ~= 1 then
            -- the block to the left of us is not collidable, so we can walk there!
            player.x = player.x - 1
        end

        return
    end

    if key == "right" then
        if collision.data[player.y][player.x + 1] ~= 1 then
            -- the block to the right of us is not collidable, so we can walk there!
            player.x = player.x + 1
        end

        return
    end
end
